Skip to content
Back to top
View this page

# `incus profile assign`

Assign sets of profiles to instances

## Synopsis

[96;1;4mDescription:[0;22;24m
Assign sets of profiles to instances

    incus profile assign [2m[[22m[32m<remote>[0m:[2m][22m[32m<instance>[0m [2m([22m[32m<profile>[0m[2m[[22m,[32m<profile>[0m[2m...[22m[2m][22m[2m|[22m--no-profiles[2m)[22m [flags]

## Examples

      incus profile assign foo default,bar
          Set the profiles for "foo" to "default" and "bar".

      incus profile assign foo default
          Reset "foo" to only using the "default" profile.

      incus profile assign foo --no-profiles
          Remove all profile from "foo"

## Options

          --no-profiles   Remove all profiles from the instance

## Options inherited from parent commands

          --debug          Show all debug messages
          --explain        If the command is valid, explain its parsed arguments instead of running it
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus profile - Manage profiles